<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/ExternalMediaPlayer/AdapterUtils.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li><li class="navelem"><a class="el" href="dir_7c0f72e3b40394b6419f2d29748370b1.html">ExternalMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AdapterUtils.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_adapter_utils_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_EXTERNALMEDIAPLAYER_ADAPTERUTILS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_EXTERNALMEDIAPLAYER_ADAPTERUTILS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;rapidjson/document.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;rapidjson/stringbuffer.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;rapidjson/writer.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;rapidjson/error/en.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_namespace_and_name_8h.html">AVSCommon/AVS/NamespaceAndName.h</a>&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_external_media_adapter_interface_8h.html">AVSCommon/SDKInterfaces/ExternalMediaAdapterInterface.h</a>&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_retry_timer_8h.html">AVSCommon/Utils/RetryTimer.h</a>&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html">   31</a></span>&#160;<span class="keyword">namespace </span>externalMediaPlayer {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cf">   34</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cf">AdapterEvent</a> {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa838d016031b2feff18b3d1ea064276de">CHANGE_REPORT</a>,</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfabb23eb369358d4b4400a10f0770c62a7">REQUEST_TOKEN</a>,</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa4976d7ca80f2cb54c1c7d5c87fb0c7ef">LOGIN</a>,</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa6b4ea69e17243db95f7b46c384d40370">LOGOUT</a>,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa9dcb72115ccc5b63e1909d355d05da4a">PLAYER_EVENT</a>,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfadb04fbf932e420769f440103697b0b95">PLAYER_ERROR_EVENT</a></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;};</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> std::vector&lt;int&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a794e32efa8876328dcea393956b83884">SESSION_RETRY_TABLE</a>;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">extern</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer.html">avsCommon::utils::RetryTimer</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#acd2fa1015fef24596cb189ed6f4c0aa3">SESSION_RETRY_TIMER</a>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment">// The NamespaceAndName for events sent from the adapter to AVS.</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a5b9e72928b157ee39ed0100cf419af6a">CHANGE_REPORT</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a146fadc7645c37e5e4b3cd1edd3ce713">REQUEST_TOKEN</a>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a319c9ed29aedd60c2a42654dcb6cc134">LOGIN</a>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a88183461ac558da2f07bd3852ff347ec">LOGOUT</a>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9ebaffc4686512d00dbf80d36c8ff2b7">PLAYER_EVENT</a>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aa0c1e9f420f4748b7c2765911b1e93d7">PLAYER_ERROR_EVENT</a>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;rapidjson::Value <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ac1a9579566d265c2697f5cea55fd9207">buildSupportedOperations</a>(</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keyword">const</span> std::vector&lt;avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation&gt;&amp; supportedOperations,</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    rapidjson::Document::AllocatorType&amp; allocator);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;rapidjson::Value <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a7e27177be092019841c39d05ef01d77d">buildPlaybackState</a>(</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html">avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a>&amp; playbackState,</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    rapidjson::Document::AllocatorType&amp; allocator);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;rapidjson::Value <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a4af4a9e2dd624d73fd37d6ef7fb3a6ff">buildSessionState</a>(</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html">avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>&amp; sessionState,</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    rapidjson::Document::AllocatorType&amp; allocator);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ab708a95526e534c4a580f50031ce86d8">buildDefaultPlayerState</a>(rapidjson::Value* document, rapidjson::Document::AllocatorType&amp; allocator);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;}  <span class="comment">// namespace externalMediaPlayer</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="preprocessor">#endif  // end</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="comment">// ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_EXTERNALMEDIAPLAYER_ADAPTERUTILS_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">alexaClientSDK::avsCommon::avs::NamespaceAndName</a></div><div class="ttdef"><b>Definition:</b> NamespaceAndName.h:28</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a7e27177be092019841c39d05ef01d77d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a7e27177be092019841c39d05ef01d77d">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildPlaybackState</a></div><div class="ttdeci">rapidjson::Value buildPlaybackState(const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState &amp;playbackState, rapidjson::Document::AllocatorType &amp;allocator)</div><div class="ttdef"><b>Definition:</b> AdapterUtils.cpp:72</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a5b9e72928b157ee39ed0100cf419af6a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a5b9e72928b157ee39ed0100cf419af6a">alexaClientSDK::avsCommon::avs::externalMediaPlayer::CHANGE_REPORT</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName CHANGE_REPORT</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a319c9ed29aedd60c2a42654dcb6cc134"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a319c9ed29aedd60c2a42654dcb6cc134">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGIN</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName LOGIN</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_acd2fa1015fef24596cb189ed6f4c0aa3"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#acd2fa1015fef24596cb189ed6f4c0aa3">alexaClientSDK::avsCommon::avs::externalMediaPlayer::SESSION_RETRY_TIMER</a></div><div class="ttdeci">avsCommon::utils::RetryTimer SESSION_RETRY_TIMER</div><div class="ttdoc">The retry timer for session management (token fetch/changeReport send). </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_playback_state.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState</a></div><div class="ttdef"><b>Definition:</b> ExternalMediaAdapterInterface.h:283</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfa9dcb72115ccc5b63e1909d355d05da4a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa9dcb72115ccc5b63e1909d355d05da4a">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::PLAYER_EVENT</a></div><div class="ttdoc">PlayerEvent to announce all kinds of player events - like play/pause/next etc. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a794e32efa8876328dcea393956b83884"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a794e32efa8876328dcea393956b83884">alexaClientSDK::avsCommon::avs::externalMediaPlayer::SESSION_RETRY_TABLE</a></div><div class="ttdeci">const std::vector&lt; int &gt; SESSION_RETRY_TABLE</div><div class="ttdoc">Table with the retry times on subsequent retries for session management (token fetch/changeReport sen...</div><div class="ttdef"><b>Definition:</b> AdapterUtils.cpp:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_ac1a9579566d265c2697f5cea55fd9207"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ac1a9579566d265c2697f5cea55fd9207">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSupportedOperations</a></div><div class="ttdeci">rapidjson::Value buildSupportedOperations(const std::vector&lt; avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation &gt; &amp;supportedOperations, rapidjson::Document::AllocatorType &amp;allocator)</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_aa0c1e9f420f4748b7c2765911b1e93d7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aa0c1e9f420f4748b7c2765911b1e93d7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_ERROR_EVENT</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName PLAYER_ERROR_EVENT</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9ebaffc4686512d00dbf80d36c8ff2b7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9ebaffc4686512d00dbf80d36c8ff2b7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_EVENT</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName PLAYER_EVENT</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a4af4a9e2dd624d73fd37d6ef7fb3a6ff"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a4af4a9e2dd624d73fd37d6ef7fb3a6ff">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSessionState</a></div><div class="ttdeci">rapidjson::Value buildSessionState(const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState &amp;sessionState, rapidjson::Document::AllocatorType &amp;allocator)</div><div class="ttdef"><b>Definition:</b> AdapterUtils.cpp:119</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cf"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cf">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent</a></div><div class="ttdeci">AdapterEvent</div><div class="ttdoc">Enumeration class for events sent by adapters to AVS. </div><div class="ttdef"><b>Definition:</b> AdapterUtils.h:34</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfabb23eb369358d4b4400a10f0770c62a7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfabb23eb369358d4b4400a10f0770c62a7">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::REQUEST_TOKEN</a></div><div class="ttdoc">Event to request token from third party. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfa838d016031b2feff18b3d1ea064276de"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa838d016031b2feff18b3d1ea064276de">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::CHANGE_REPORT</a></div><div class="ttdoc">ChangeReport event sent after adapter&amp;#39;s initialization succeeds/fails. </div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a></div><div class="ttdef"><b>Definition:</b> ExternalMediaAdapterInterface.h:240</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfa6b4ea69e17243db95f7b46c384d40370"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa6b4ea69e17243db95f7b46c384d40370">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::LOGOUT</a></div><div class="ttdoc">Logout event when a user logs out. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfa4976d7ca80f2cb54c1c7d5c87fb0c7ef"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfa4976d7ca80f2cb54c1c7d5c87fb0c7ef">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::LOGIN</a></div><div class="ttdoc">Login event when a guest user logs in. </div></div>
<div class="ttc" id="_external_media_adapter_interface_8h_html"><div class="ttname"><a href="_external_media_adapter_interface_8h.html">ExternalMediaAdapterInterface.h</a></div></div>
<div class="ttc" id="_retry_timer_8h_html"><div class="ttname"><a href="_retry_timer_8h.html">RetryTimer.h</a></div></div>
<div class="ttc" id="_namespace_and_name_8h_html"><div class="ttname"><a href="_namespace_and_name_8h.html">NamespaceAndName.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_ab708a95526e534c4a580f50031ce86d8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ab708a95526e534c4a580f50031ce86d8">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildDefaultPlayerState</a></div><div class="ttdeci">bool buildDefaultPlayerState(rapidjson::Value *document, rapidjson::Document::AllocatorType &amp;allocator)</div><div class="ttdef"><b>Definition:</b> AdapterUtils.cpp:135</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a88183461ac558da2f07bd3852ff347ec"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a88183461ac558da2f07bd3852ff347ec">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGOUT</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName LOGOUT</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a9db5370bd7f48ffbb9a3cf067af2e3cfadb04fbf932e420769f440103697b0b95"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a9db5370bd7f48ffbb9a3cf067af2e3cfadb04fbf932e420769f440103697b0b95">alexaClientSDK::avsCommon::avs::externalMediaPlayer::AdapterEvent::PLAYER_ERROR_EVENT</a></div><div class="ttdoc">PlayerErrorEvent to report all errors from the adapters. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player_html_a146fadc7645c37e5e4b3cd1edd3ce713"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a146fadc7645c37e5e4b3cd1edd3ce713">alexaClientSDK::avsCommon::avs::externalMediaPlayer::REQUEST_TOKEN</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName REQUEST_TOKEN</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_retry_timer.html">alexaClientSDK::avsCommon::utils::RetryTimer</a></div><div class="ttdef"><b>Definition:</b> RetryTimer.h:30</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
